summaryrefslogtreecommitdiffstats
path: root/.xinitrc
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-11-24 06:37:56 -0500
committerLuke Smith <luke@lukesmith.xyz>2019-11-24 06:37:56 -0500
commit0acdb5b950b22b0ea37baa09e4a184b6c10e47f3 (patch)
treedf8ae522a99892313af1132494009f137cec16f8 /.xinitrc
parent09632e19ce560ebd9ea968c7170eadd8e7555e71 (diff)
downloadeibhear-0acdb5b950b22b0ea37baa09e4a184b6c10e47f3.tar.gz
eibhear-0acdb5b950b22b0ea37baa09e4a184b6c10e47f3.tar.zst
eibhear-0acdb5b950b22b0ea37baa09e4a184b6c10e47f3.zip
big xinit fix
Diffstat (limited to '.xinitrc')
-rw-r--r--.xinitrc40
1 files changed, 25 insertions, 15 deletions
diff --git a/.xinitrc b/.xinitrc
index beb01e7..9a5ef8c 100644
--- a/.xinitrc
+++ b/.xinitrc
@@ -1,16 +1,8 @@
-#!/bin/sh
+#!/usr/bin/env sh
# xinitrc runs automatically when you run startx.
-# There are some small but important commands that need to be run when we start
-# the graphical environment. I keep those commands in ~/.xprofile because that
-# file is run automatically if someone uses a display manager (login screen)
-# and so they are needed there. To prevent doubling up commands, I source them
-# here with the line below.
-
-[ -f ~/.xprofile ] && . ~/.xprofile
-
-startlarbs() {
+guesswm() {
# Here, LARBS decides whether to boot dwm or i3. It will boot what is manually
# set in ~/.local/share/larbs/wm, otherwise it will test to see if dwm is
# installed, in which case it will load dwm. It will assume i3 otherwise.
@@ -30,17 +22,35 @@ startlarbs() {
dwm)
export FILE="lf"
export STATUSBAR="dwmblocks"
- # The loop is just to enable dwm's "restart" feature (mod+F2).
- while :; do
- ssh-agent dwm || break
- done
+ startlarbs() { # The loop is just to enable dwm's "restart" feature (mod+F2).
+ while :; do
+ ssh-agent dwm || break
+ done ;}
;;
i3)
export FILE="ranger"
export STATUSBAR="i3blocks"
- exec i3
+ startlarbs() { exec i3 ;}
;;
*) echo "No valid LARBS window manager detected." ;;
esac ;}
+guesswm
+
+# There are some small but important commands that need to be run when we start
+# the graphical environment. I keep those commands in ~/.xprofile because that
+# file is run automatically if someone uses a display manager (login screen)
+# and so they are needed there. To prevent doubling up commands, I source them
+# here with the line below.
+
+[ -f ~/.xprofile ] && . ~/.xprofile
+
+# There are some small but important commands that need to be run when we start
+# the graphical environment. I keep those commands in ~/.xprofile because that
+# file is run automatically if someone uses a display manager (login screen)
+# and so they are needed there. To prevent doubling up commands, I source them
+# here with the line below.
+
+[ -f ~/.xprofile ] && . ~/.xprofile
+
startlarbs